aqsis (1.8.2-11ubuntu1) focal; urgency=medium

  * Build depend on libboost-program-options-dev. Fixes finding boost
    with latest cmake/boost in focal.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 10:02:56 +0000

aqsis (1.8.2-11build3) focal; urgency=medium

  * No-change rebuild against libilmbase24 and libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:15:08 +0000

aqsis (1.8.2-11build2) eoan; urgency=medium

  * No change rebuild against new boost regex icu encoded abi ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 May 2019 17:50:33 +0100

aqsis (1.8.2-11build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:52:55 +0000

aqsis (1.8.2-11) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed)
  * Update Vcs-* fields

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 13 May 2018 19:25:47 +0200

aqsis (1.8.2-10) unstable; urgency=medium

  * d/tests: improvements to avoid some path errors and make them less noisy

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 04 Jan 2018 15:17:27 +0100

aqsis (1.8.2-9) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Switch to debhelper compat level v11
    - Upgrade dependency on debhelper versions
  * Remove redundant "Testsuite: autopkgtest" from d/control
  * Set "Rules-Requires-Root: no" in d/control
  * d/tests/
    - run-aqsis-examples-features
      * set display output to file, to avoid ugly complaints
      * disable some tests now-known to fail
    - run-aqsis-examples-scenes
      * set display output to file, to avoid ugly complaints
      * set shaders directory, otherwise sometimes they are not found
  * Disable Build-Deps on libqt4-dev and libqt4-opengl-dev, Qt4 is going
    to be removed from unstable (Closes: #874815)
    - this means disabling the binaries 'eqsl', 'pisql' and 'ptview', and
      removing ancillary files (.desktop and man pages)
    - extra build-depends disabled:
      * libboost-program-options-dev
      * libboost-regex-dev
      * zlib1g-dev

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 04 Jan 2018 12:46:29 +0100

aqsis (1.8.2-8) unstable; urgency=medium

  * d/tests/run-aqsis-examples-scenes: fix directory causing tests to fail

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Jul 2017 00:10:53 +0200

aqsis (1.8.2-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Re-enabled Build-Deps on libqt4-dev and libqt4-opengl-dev to build
    again the binaries 'eqsl', 'pisql' and 'ptview'
  * d/patches:
    - add fix-ftbfs-qt4-moc.patch: to make possible to compile binaries
      using Qt4

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 29 Jun 2017 00:17:05 +0200

aqsis (1.8.2-6) unstable; urgency=medium

  * d/rules: remove unneeded override of dh_auto_build
  * Fixes for 'watch' file to detect the version correctly
  * Add tests for autopkgtest
    - run a simple "--help"
    - render different "features" and "scenes" from the package aqsis-examples

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Jun 2017 23:13:13 +0200

aqsis (1.8.2-5) unstable; urgency=medium

  * d/control: change "Suggests: aqsis-examples (= ${binary:Version})" for
    "(= ${source:Version})"
  * Switch to debhelper compat level v10
    - Upgrade dependency on debhelper versions
    - Remove "--parallel" in d/rules
  * Update Vcs-* fields for the newest recommended practices

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Sep 2016 20:41:59 +0200

aqsis (1.8.2-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/patches:
    - Added bug_ftbfs_811840.patch to fix FTBFS with GCC 6 (Closes: #811840)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 06 Aug 2016 10:51:33 +0100

aqsis (1.8.2-3) unstable; urgency=medium

  * d/patches:
    - Added 0001-Fix_FTBFS_against_OpenEXR.patch to fix FTBFS with newer
      openexr.  Thanks Mathieu Malaterre.  (Closes: #812519)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 31 Jan 2016 00:46:14 +0000

aqsis (1.8.2-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Remove from Build-Deps libqt4-dev and libqt4-opengl-dev.  The 'moc'
    preprocessor of Qt 4 cannot cope with syntax of the latest Boost 1.58
    now in unstable, and the upstream project does not contain any fix for
    this or support Qt5 yet.  This disables the binaries 'eqsl', 'pisql'
    and 'ptview'.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 27 Aug 2015 19:33:01 +0100

aqsis (1.8.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 25 Jun 2014 20:01:58 +0100

aqsis (1.8.1-4) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.4 (no changes needed)
    - Remove "DM-Upload-Allowed: yes" (obsolete field now)
    - Update Maintainer address
  * Add support for PNG

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 1 Apr 2013 00:34:33 +0100

aqsis (1.8.1-3) unstable; urgency=low

  * Build-Depend on libtiff-dev after all, since it seems that using
    libtiff5-dev in wheezy is discouraged (see #676786, K-3D bug, for an
    explanation)
  * Creating man page for ptview (quells lintian warning), and update the others
    for the new upstream version

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 10 Jun 2012 16:41:25 +0100

aqsis (1.8.1-2) unstable; urgency=low

  * Build-Depend on libtiff5-dev (instead of libtiff4-dev)
  * Add VCS fields to debian/control
  * lintian:
    - Update override package-name-doesnt-match-sonames for 1.8 series
    - Create override for no-symbols-control-file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 05 Jun 2012 16:32:39 +0100

aqsis (1.8.1-1) unstable; urgency=low

  * New upstream version
    - License switched to BSD
    - Drop patches (already present upstream):
      - bug#624504_ftbfs-boost_1.46
      - ftbfs-missing_cstddef.diff
  * Remove previous maintainer, not active for many years
  * Build-Depends:
    - Remove FLTK libraries, add Qt instead
    - Add libilmbase

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 27 Mar 2012 20:02:58 +0100

aqsis (1.6.0-10) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed)
  * Build-Depend on debhelper>=9~ to avoid lintian warning
  * Improvement to build-hardening, thanks Simon Ruderich (Closes: #662833)
    - Use CPPFLAGS from dpkg-buildflags by passing it to CFLAGS/CXXFLAGS
      instead, otherwise CMake ignores them
    - Use hardening=+all instead of enabling +pie +bindnow individually, as
      suggested in the bug report, to take advantage of extra options in the
      future.  However, some options are not default for a reason, and not
      always can they be applied blindly/automatically; so maybe this has to be
      reverted in the future.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 06 Mar 2012 19:49:51 +0000

aqsis (1.6.0-9) unstable; urgency=low

  * Switch to debhelper compat level v9
  * Enable some extra compiling options and hardening flags

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 20 Dec 2011 18:41:47 +0000

aqsis (1.6.0-8) unstable; urgency=low

  * Remove the use of special "CXXFLAGS" in debian/rules, use default
    ones
  * Removed Vcs-Hg and Vcs-Browser in "control" file, they point to
    upstream and not the Debian packaging
  * Quell lintian issues:
    - unneeded-build-dep-on-quilt: remove from Build-Depends

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 21:32:20 +0100

aqsis (1.6.0-7) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #633687)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 14 Jul 2011 01:55:06 +0200

aqsis (1.6.0-6) unstable; urgency=low

  * Changed debhelper compat to level 8 (level 7 before), no changes needed
  * debhelper compat level 8 generates symbols files for shared libraries,
    quells lintian warning "no-symbols-control-file"
  * Change Maintainer to myself, I've been the only effective maintainer since
    2007, for more than a year now

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 08 Jul 2011 16:56:01 +0200

aqsis (1.6.0-5) unstable; urgency=low

  * Rebuild for transition to tinyxml 2.6.2 (Closes: #628117)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 27 May 2011 22:54:41 +0200

aqsis (1.6.0-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Include patch to avoid FTBFS with boost 1.46 (Closes: #624504)
  * Include patch to avoid FTBFS with missing NULL
  * Adding Replace and Breaks for aqsis-examples package on old aqsis-data
    package, to avoid having the old package hanging around
  * Simplifying a lot debian/rules file by leveraging debhelper capabilities,
    only acting when deviating from auto behaviour

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 27 May 2011 21:50:00 +0200

aqsis (1.6.0-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1 (no changes needed)
  * Add DM-Upload-Allowed: yes
  * Update versions of some dependencies (flex, boost) so they match the
    versions currently in testing (to avoid using software which is too old and
    may have bugs)
  * Quell lintin warning: package-contains-empty-directory
    "usr/share/aqsis/plugins/"

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 15 Aug 2010 00:15:28 +0200

aqsis (1.6.0-2) unstable; urgency=low

  * Put myself in the Uploaders field
  * Bump Standards-Version to 3.9.0 (no changes needed)
  * Disable RPATH in building system (lintian: binary-or-shlib-defines-rpath)
  * Using Breaks instead of Conflicts (lintian: conflicts-with-version)
  * Remove houdini script, not interesting for Debian (it's intended as plugin
    for 3rd party proprietary software, to use Aqsis as renderer), and also has
    poor licensing terms (not well explained, not for all files, etc).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 06 Jul 2010 20:59:34 +0200

aqsis (1.6.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * For smooth upgrading in Debian and possibly derived distributions, libraries
    (libaqsis1 and libaqsis-dev) package Conflict and Replace "aqsis-libs" and
    also "aqsis-libs2ca" (which is how it was named in Debian), and restricts to
    versions (<< 1.6.0) just in case.
  * Document better 'copyright' file with additions of third party software
    shipped (one of which, tinyxml, is not used -- we instead depend on and
    build against the package that we already have in Debian).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 29 Jun 2010 16:52:15 +0200

aqsis (1.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #515065, #568270).
  * Updated descriptions, renamed packages from 'aqsis-libs*' to
    'libaqsis*', created a new -examples package
  * Updated man pages with 'help2man -N --no-discard-stderr"
  * Changed debhelper compat to level 7 (level 5 before)
  * Added 'watch' file
  * Added 'source/format', with '3.0 (quilt)'
  * Bump Standards-Version to 3.8.4
  * Removed patches:
    - "01_gcc_4.3_fixes.patch" and "02_gcc_4.4_fixes.patch", now
       builds with default gcc version
    - "03_env_clone.patch", doesn't use scons for building now

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 22 Jun 2010 03:22:09 +0200

aqsis (1.2.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4 (missing #include), (Closes: #504858).
    Thanks to Martin Michlmayr who reported the issue and provided a
    patch (added 02_gcc_4.4_fixes.patch). 
  * Use env.Clone instead of env.Copy in various SConscript files
    (added 03_env_clone.patch) (Closes: #549806, #564207)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 31 Jan 2010 17:47:00 +0100

aqsis (1.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix ftbfs by including string.h in various sources (closes: #470971).
  * build against libopenexr6 (closes: #476739).
  * apply Ubuntu patch to debian/aqsis-libsc2a.install to fix
    missing libjpg2tif.so.1 problem (closes: #473151).

 -- Colin Tuckley <colint@debian.org>  Tue, 20 May 2008 14:37:25 +0100

aqsis (1.2.0-2) unstable; urgency=low

  * Added support for quilt in debian/control and debian/rules.
  * debian/control, debian/rules: Added support for quilt.
  * Added 01_gcc_4.3_fixes.patch for fixing build problems with upcoming GCC
    release.  Thanks, Martin Michlmayr (closes: #417108).

 -- David Martínez Moreno <ender@debian.org>  Wed, 30 May 2007 12:05:56 +0200

aqsis (1.2.0-1) unstable; urgency=low

  * New maintainer (closes: #368070).
  * New upstream release.  Main changes are:
    - Various small changes to support building for x86_64 systems.
    - Added a new command line option: -echoapi will echo all RI API calls to the console.
    - Added a new command line option: -mpdump will dump all micropolygons to a custom binary file.
    - Implement the type 'facevertex'.
    - Add support for RiGeometry 'bunny'.
    - Add preliminary support for blobbies.
    - Add some more useful information output to the DSO shadeop search to enable better debugging of the DSO loading process.
    - Add a new tool 'miqser' (mixer) for processing RIB files.
    - Introduce a mitchell filterpixel.
    - Implement autoshadow support. Aqsis can now render shadow maps for chosen lights automatically.
    - Improve the speed of shadow and ambient occlusion sampling. Occlusion in particular is orders of magnitude faster.
    - Add support for OpenEXR, both output using a new display, and input using a converter plugin.
    - Added bitmap, tga, png and OpenEXR support.
    - Improved environment mapping. Directly compatible with others renderer's latlong/cubic tiff files
    - Added a -res option to aqsis to change resolution at commandline.
    - Added a flexible catch all option to the aqsis command line options: -option "<any RIB request>".
    - Implemented the new Condition RI C Binding. It supports math and logical arithmetic for several variable types.
    - Implemented new sampling technique.
    - Implemented layered shader support.
    - Improved motion blurred points handling.
    - Improved AOV output quantization.
    - Added a shader for adding a Film Grain effect.
    - Added a new noise type.
    - Fixed lots of warnings, crashes and leaks.
  * debian/control:
    - Removed cpp from aqsis' Depends.
    - Removed libargparse-dev from several places.
    - Removed Replaces: aqsis-libs-dev in aqsis-libsc2a (from 0.7.10-2).
    - Revamped Build-Depends, as now scons is used and several things were
      dropped from the dependency chain.
    - Bumped Standards-Version to 3.7.2.
  * debian/rules:
    - Removed DH_COMPAT in favor of debian/compat, and bumped to 5
      (1.1.0.20050815-3 only bumped it to 4).
    - Rewrote the build system, as aqsis switched from autotools to SCons.
    - Added -V to dh_makeshlibs, thus resolving duplicate dependencies on
      aqsis-libsc2a.
    - Set executable bit of several scripts in aqsis package.
  * Dropped GCC 4.1 patches, as they did not longer apply.
  * Added a lot of information to debian/copyright.

 -- David Martínez Moreno <ender@debian.org>  Thu, 26 Apr 2007 00:52:01 +0200

aqsis (1.1.0.20050815-4) unstable; urgency=low

  * QA upload.
  * Add manpages: aqsl.1 aqsltell.1 teqser.1 (Closes: #216917)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 12 Jan 2007 03:43:44 +0100

aqsis (1.1.0.20050815-3) unstable; urgency=low

  * QA Group upload orphaning this package
  * Added patch from Martin Michlmayr to fix G++ 4.1 error (closes: #356240)
  * Rename aqsis-libs to aqsis-libsc2a (libstdc++ new allocator),
    conflict/replace aqsis-libs, rebuild with gcc-4.1 (closes: #339148)
  * debian/rules: bump debhelper compatibility level to 5
  * debian/control: supplement ${shlibs:Depends} with ${misc:Depends}

 -- Andrew Pollock <apollock@debian.org>  Fri, 15 Dec 2006 05:43:01 -0800

aqsis (1.1.0.20050815-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-libtoolize the package with Debian libtool, to lose the extraneous
    library dependencies.  Closes: #340577.

 -- Steve Langasek <vorlon@debian.org>  Thu, 24 Nov 2005 01:09:38 -0800

aqsis (1.1.0.20050815-2) unstable; urgency=low

  * Add build depends on libboost-dev. 

 -- Will Newton <will@debian.org>  Tue, 16 Aug 2005 23:03:57 +0100

aqsis (1.1.0.20050815-1) unstable; urgency=low

  * New upstream version.
    - Fixes build with gcc 4.0. (Closes: #317542)
  * Rebuild with gcc 4.0.
  * Update standards version to 3.6.2.

 -- Will Newton <will@debian.org>  Mon, 15 Aug 2005 20:30:06 +0100

aqsis (1.0.0-1) unstable; urgency=low

  * New upstream version. 

 -- Will Newton <will@debian.org>  Wed, 19 Jan 2005 00:34:02 +0000

aqsis (0.9.3-1) unstable; urgency=low

  * New upstream version. 

 -- Will Newton <will@debian.org>  Tue,  7 Dec 2004 20:06:49 +0000

aqsis (0.9.2-1) unstable; urgency=low

  * New upstream version.
  * Acknowledge NMU for libtiff transition (Closes: #262788).
    - Thanks to Steve Langasek.
  * Update libtool and config.{sub,guess}. 

 -- Will Newton <will@debian.org>  Fri, 13 Aug 2004 17:25:56 +0100

aqsis (0.9.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libtiff4 (closes: #262788).

 -- Steve Langasek <vorlon@debian.org>  Mon,  2 Aug 2004 20:15:29 -0700

aqsis (0.9.1-2) unstable; urgency=low

  * Re-add build depend on automake that got lost in the last
    release.

 -- Will Newton <will@debian.org>  Wed, 19 May 2004 19:56:51 +0100

aqsis (0.9.1-1) unstable; urgency=low

  * New upstream version.
  * No longer build depend on liblog4cpp-dev.
  * Fix libgl-dev build depends (Closes: #249569). 

 -- Will Newton <will@debian.org>  Tue, 18 May 2004 19:15:52 +0100

aqsis (0.9.0-1) unstable; urgency=low

  * New upstream version.
  * FTBFS fixed (Closes: #213662)
  * Use newer libtool.m4 (Closes: #176790, #177051, #208287)
    - Thanks to Luk Claes.

 -- Will Newton <will@debian.org>  Wed, 31 Dec 2003 16:49:59 +0000

aqsis (0.8.0-2) unstable; urgency=low

  * Modify LD_LIBRARY_PATH correctly during build. 

 -- Will Newton <will@debian.org>  Thu,  2 Oct 2003 11:36:58 +0100

aqsis (0.8.0-1) unstable; urgency=low

  * New upstream version.
  * Moved libs to /usr/lib/aqsis.
  * Don't ship .la files.

 -- Will Newton <will@debian.org>  Wed,  1 Oct 2003 18:34:08 +0100

aqsis (0.7.18-1) unstable; urgency=low

  * New upstream version (Closes:#199749).

 -- Will Newton <will@debian.org>  Wed, 27 Aug 2003 09:43:19 +0100

aqsis (0.7.10-3) unstable; urgency=low

  * Build-Depend on libjpeg62-dev.
  * Use the default compiler instead of gcc-3.2. 

 -- Will Newton <will@debian.org>  Thu, 29 May 2003 11:11:35 +0100

aqsis (0.7.10-2) unstable; urgency=low

  * Moved libs package to libs section and libs-dev package
    to libdevel.
  * Build-Depend on liblog4cpp-dev (Closes:#195096).

 -- Will Newton <will@debian.org>  Thu, 29 May 2003 08:34:54 +0100

aqsis (0.7.10-1) unstable; urgency=low

  * New upstream.
  * Add fix from CVS for segfault.
  * Remove build depends on libargparse-dev and gcc-3.2.

 -- Will Newton <will@debian.org>  Wed, 28 May 2003 16:50:33 +0100

aqsis (0.7.2-1) unstable; urgency=low

  * New upstream.
  * Use gcc-3.2.
  * Upload to the archive. (Closes: #153315) 

 -- Will Newton <will@debian.org>  Mon,  6 Jan 2003 10:41:43 +0000

aqsis (0.7.0-1) unstable; urgency=low

  * New upstream. 

 -- Will Newton <will@debian.org>  Mon, 23 Sep 2002 17:40:43 +0100

aqsis (0.6.6-2) unstable; urgency=low

  * Split off separate libs package.
  * Use cpp in aqsl rather than gcc.
  * Add flex build dependency.
  * Add libtool build dependency.
  * Add -ffunction-sections for hppa.
  * Install share.h header. 

 -- Will Newton <will@debian.org>  Sun, 22 Sep 2002 14:43:46 +0100

aqsis (0.6.6-1) unstable; urgency=low

  * New upstream release. 

 -- Will Newton <will@misconception.org.uk>  Sat,  3 Aug 2002 13:29:32 +0100

aqsis (0.6.4-1) unstable; urgency=low

  * Initial Release.

 -- Will Newton <will@misconception.org.uk>  Mon, 10 Jun 2002 19:47:33 +0100
